Page MenuHomePhabricator

Flow: clicking Edit on a long post doesn't scroll textarea into view
Closed, ResolvedPublic

Description

Create a tall post with some images.
Now click Edit

Result: the post vanishes and you're left lower down the Flow board. You need to scroll up to find the edit form. This happens because the edit form (textarea + buttons) is much smaller than the post.

This sounds like a variation of bug 59834. Maybe the form needs a conditionalScrollIntoView(). If you click Preview to see the big post then click Keep editing, the textarea does scroll into view (incompletely on Firefox, you don't see the top of it)


Version: master
Severity: normal

Details

Reference
bz69151

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:37 AM
bzimport set Reference to bz69151.
bzimport added a subscriber: Unknown Object (MLST).
Spage created this task.Aug 5 2014, 7:45 PM

Change 157308 had a related patch set uploaded by Jdlrobson:
Conditional scroll textarea into view when hit edit.

https://gerrit.wikimedia.org/r/157308

Change 157308 merged by jenkins-bot:
Conditional scroll textarea into view when hit edit.

https://gerrit.wikimedia.org/r/157308

All patches mentioned in this report were merged - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Works on ee-flow.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:32 AM